CVE-2019-8905 (retired)

Priority
Description
do_core_note in readelf.c in libmagic.a in file 5.35 has a stack-based
buffer over-read, related to file_printable, a different vulnerability than
CVE-2018-10360.
Assigned-to
mdeslaur
Package
Source: file (LP Ubuntu Debian)
Upstream:released (1:5.35-3)
Ubuntu 12.04 ESM (Precise Pangolin):not-affected (code not present)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (code not present)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:5.25-2ubuntu1.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:5.32-2ubuntu0.2)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1:5.34-2ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):not-affected (1:5.35-4)
Patches:
Upstream:https://github.com/file/file/commit/d65781527c8134a1202b2649695d48d5701ac60b
More Information

Updated: 2019-03-26 12:27:57 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)